{ rice, ... }:
{
  programs.kitty = {
    enable = true;
    font = {
      name = rice.font.code.name;
      package = rice.font.code.package;
    };
    settings = with rice.color; {
      background           = background;
      foreground           = foreground;
      cursor               = foreground;
      color0               = black.base;
      color8               = black.bright;
      color1               = red.base;
      color9               = red.bright;
      color2               = green.base;
      color10              = green.bright;
      color3               = yellow.base;
      color11              = yellow.bright;
      color4               = blue.base;
      color12              = blue.bright;
      color5               = magenta.base;
      color13              = magenta.bright;
      color6               = cyan.base;
      color14              = cyan.bright;
      color7               = white.base;
      color15              = white.bright;
      background_opacity   = builtins.toString rice.transparency;
      window_padding_width = 5;
      remember_window_size = false; 
    };
  };
}


